> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/getting-started/kaiko-examples/analyze-supply-distribution-to-determine-asset-risk.md).

# Analyze supply distribution to determine asset-risk

Identify the number of addresses that hold at least 1% of the asset's total supply to effectively measure its popularity and the strength of its price discovery process.

<mark style="color:blue;">How to build the request</mark>

With the Market Metrics **Asset endpoint,** you can use the following parameters to source the specific information you're looking for:

| Parameter   | Value                    |
| ----------- | ------------------------ |
| asset       | crv                      |
| start\_time | 2023-01-01T00:00:00.000Z |
| end\_time   | 2023-01-04T00:00:00.000Z |
| interval    | 1d                       |

You can find specific asset codes from our [instruments explorer](https://instruments.kaiko.com/#/instruments) or [reference data](https://docs.kaiko.com/#assets).

Here's an example of an HTTP string request using the values above:

<https://us.market-api.kaiko.io/v2/data/analytics.v2/asset_metrics?start_time=2023-01-01T00:00:00.000Z&end_time=2023-01-04T00:00:00.000Z&asset=crv>

When you receive your response, search for the following fields to find the data you need:

* main\_holders
* number\_of\_holders
* total\_supply

For a more in-depth analysis of all wallets holding a particular asset, you can utilize [Kaiko Wallet Data](https://www.kaiko.com/products/market-data-defi-protocols/wallet-data).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/getting-started/kaiko-examples/analyze-supply-distribution-to-determine-asset-risk.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
